> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Invoice By Id



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/invoices/retrieve/{id}
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/invoices/retrieve/{id}:
    get:
      tags:
        - invoices
      summary: Retrieve Invoice By Id
      operationId: retrieve_invoice_by_id__version__invoices_retrieve__id__get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Object ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    InvoiceDetailResponse:
      properties:
        id:
          type: integer
          title: Id
        reference_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference Id
        invoice_number:
          type: string
          title: Invoice Number
        counterparty_id:
          type: integer
          title: Counterparty Id
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
        total_amount:
          anyOf:
            - type: number
            - type: integer
          title: Total Amount
          description: Amount
        status:
          type: string
          title: Status
        note:
          type: string
          title: Note
        fee_bearer:
          type: string
          title: Fee Bearer
        due_date:
          type: string
          format: date-time
          title: Due Date
        paid_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paid At
        as_payment_link:
          type: boolean
          title: As Payment Link
        owner_id:
          type: integer
          title: Owner Id
        owner_type:
          type: string
          title: Owner Type
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        invoice_items:
          anyOf:
            - items:
                $ref: '#/components/schemas/InvoiceItemResponse'
              type: array
            - type: 'null'
          title: Invoice Items
        counterparty:
          anyOf:
            - $ref: '#/components/schemas/CounterPartyWithPartyResponse'
            - type: 'null'
      type: object
      required:
        - id
        - invoice_number
        - counterparty_id
        - currency
        - total_amount
        - status
        - note
        - fee_bearer
        - due_date
        - as_payment_link
        - owner_id
        - owner_type
        - created_at
        - updated_at
      title: InvoiceDetailResponse
      description: InvoiceDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvoiceItemResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
        qty:
          type: integer
          title: Qty
        amount:
          anyOf:
            - type: number
              minimum: 0.01
            - type: integer
              minimum: 1
          title: Amount
          description: A positive, non-zero amount.
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - currency
        - qty
        - amount
        - created_at
        - updated_at
      title: InvoiceItemResponse
      description: InvoiceItemResponse
    CounterPartyWithPartyResponse:
      properties:
        id:
          type: integer
          title: Id
        owner_party_type:
          type: string
          title: Owner Party Type
        owner_party_id:
          type: integer
          title: Owner Party Id
        relationship_type:
          type: string
          title: Relationship Type
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        party:
          anyOf:
            - $ref: '#/components/schemas/PartyResponse'
            - type: 'null'
      type: object
      required:
        - id
        - owner_party_type
        - owner_party_id
        - relationship_type
        - created_at
        - updated_at
      title: CounterPartyWithPartyResponse
      description: CounterPartyWithPartyResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PartyResponse:
      properties:
        id:
          type: integer
          title: Id
        fullname:
          type: string
          title: Fullname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone:
          anyOf:
            - type: string
              maxLength: 15
              minLength: 8
            - type: 'null'
          title: Phone
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - fullname
        - created_at
        - updated_at
      title: PartyResponse
      description: PartyResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````